HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostQuotes

Contains the different functions to run the operation postQuotes

  • 23 types
  • 11 values
valuepostQuotes
  1. :: MonadHTTP m
  2. => Maybe PostQuotesRequestBody

    The request body to send

  3. -> ClientT m (Response PostQuotesResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/quotes

<p>A quote models prices and services for a customer. Default options for <code>header</code>, <code>description</code>, <code>footer</code>, and <code>expires_at</code> can be set in the dashboard via the <a href="https://dashboard.stripe.com/settings/billing/quote">quote template</a>.</p>

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.application_fee_amount.anyOf in the specification.

The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account. There cannot be any line items with recurring prices when using this field.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.application_fee_percent.anyOf in the specification.

A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice subtotal that will be transferred to the application owner's Stripe account. There must be at least 1 line item with a recurring price to use this field.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.automatic_tax in the specification.

Settings for automatic tax lookup for this quote and resulting invoices and subscriptions.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.collection_method in the specification.

Either `charge_automatically`, or `send_invoice`. When charging automatically, Stripe will attempt to pay invoices at the end of the subscription cycle or at invoice finalization using the default payment method attached to the subscription or customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions. Defaults to `charge_automatically`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.default_tax_rates.anyOf in the specification.

The tax rates that will apply to any line item that does not have `tax_rates` set.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.discounts.anyOf.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.discounts.anyOf in the specification.

The discounts applied to the quote. You can only set up to one discount.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.from_quote in the specification.

Clone an existing quote. The new quote will be created in `status=draft`. When using this parameter, you cannot specify any other parameters except for `expires_at`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings in the specification.

All invoices will be billed using the specified settings.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.line_items.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.line_items.items.properties.price_data in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.line_items.items.properties.price_data.properties.recurring in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.line_items.items.properties.price_data.properties.recurring.properties.interval in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.line_items.items.properties.price_data.properties.tax_behavior in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.line_items.items.properties.tax_rates.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.on_behalf_of.anyOf in the specification.

The account on behalf of which to charge.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.subscription_data in the specification.

When creating a subscription or subscription schedule, the specified configuration data will be used. There must be at least one line item with a recurring price for a subscription or subscription schedule to be created. A subscription schedule is created if `subscription_data[effective_date]` is present and in the future, otherwise a subscription is created.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.subscription_data.properties.effective_date.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.subscription_data.properties.trial_period_days.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.transfer_data.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/quotes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.transfer_data.anyOf in the specification.

The data with which to automatically create a Transfer for each of the invoices.

Instances4Eq, Show, FromJSON, ToJSON
datadata PostQuotesResponse
#

Represents a response of the operation postQuotes.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostQuotesResponseError is used.

Constructors

Instances2Eq, Show